> ## Documentation Index
> Fetch the complete documentation index at: https://developers.harvey.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Client Matters

> Retrieves the full list of client matters in Harvey, including deleted ones, with usage statistics.

### Permissions

Requires `Access client matters` permission.


## OpenAPI

````yaml /client_matters_api.json get /api/v1/client_matters
openapi: 3.0.1
info:
  title: Harvey Client Matter API
  description: >-
    The Harvey API enables customers to manage their client matters, including
    adding, deleting, and retrieving client matters. Note that these formats are
    tentative and may change in the future.
  version: 1.0.0
  contact:
    email: support@harvey.ai
servers:
  - url: https://api.harvey.ai
    description: Harvey API server
security: []
paths:
  /api/v1/client_matters:
    get:
      tags:
        - Retrieve
      summary: Get Client Matters
      description: >-
        Retrieves the full list of client matters in Harvey, including deleted
        ones, with usage statistics.
      operationId: getClientMatters
      responses:
        '200':
          description: List of client matters with usage statistics.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ClientMatter'
        '400':
          description: Bad request.
        '401':
          description: Unauthorized.
        '429':
          description: Rate limit exceeded.
        '500':
          description: Internal server error.
      security:
        - bearerAuth: []
components:
  schemas:
    ClientMatter:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the client matter.
          example: 018d856f-0664-772c-9ed9-b2316fd881d3
        user_email:
          type: string
          description: Email of the user associated with creating the client matter.
          example: user@example.com
        name:
          type: string
          description: Name of the client matter.
          example: 1234-5678
        description:
          type: string
          description: Description of the client matter.
          example: Client B - Project Test
        user_count:
          type: integer
          description: Number of unique users associated with the client matter.
          example: 8
        total_events:
          type: integer
          description: Total number of queries associated with the client matter.
          example: 37
        created_at:
          type: string
          format: date-time
          description: Timestamp of when the client matter was created.
          example: '2024-02-07T21:22:29.478Z'
        deleted_at:
          type: string
          format: date-time
          description: Timestamp of when the client matter was deleted, if applicable.
          example: '2024-02-22T16:45:10.209Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````